﻿using Funq;
using ServiceStack.Configuration;
using ServiceStack.ServiceInterface;
using ServiceStack.ServiceInterface.Auth;
using ServiceStack.WebHost.Endpoints;


namespace WebFormsAndServiceStack.App_Start
{
	public class AppHost : AppHostBase
	{
		public AppHost()
			: base("C# Corner Sample", typeof(BigNameService).Assembly)
		{
			SetConfig(new EndpointHostConfig { ServiceStackHandlerFactoryPath = "api" });

			Routes.Add<HelloRequest>("/hello");
			Routes.Add<HelloRequest>("/hello/{Name*}");
		}

		public override void Configure(Container container)
		{
			var appSettings = new AppSettings();

			Plugins.Add(new AuthFeature(() => new AuthUserSession(),
			new IAuthProvider[] {
					new ServiceStackFormsAuth(appSettings), 
				}));
		}
	}
}