﻿using System.Web;
using ServiceStack.Configuration;
using ServiceStack.ServiceInterface.Auth;

namespace WebFormsAndServiceStack.App_Start
{
	public class ServiceStackFormsAuth : CredentialsAuthProvider
	{
		public ServiceStackFormsAuth()
		{
		}

		public ServiceStackFormsAuth(IResourceManager appSettings)
			: base(appSettings)
		{
		}

		public ServiceStackFormsAuth(IResourceManager appSettings, string authRealm, string oAuthProvider)
			: base(appSettings, authRealm, oAuthProvider)
		{
		}

		public override bool IsAuthorized(IAuthSession session, IOAuthTokens tokens, Auth request = null)
		{
			HttpContext.Current.Response.SuppressFormsAuthenticationRedirect = true;
			return HttpContext.Current.User.Identity.IsAuthenticated;
		}
	}
}