﻿using System.Web;
using ServiceStack.WebHost.Endpoints;

namespace WebFormsAndServiceStack.App_Start
{
	public class SessionStateHandlerFactory : IHttpHandlerFactory
	{
		private readonly static IHttpHandlerFactory ssFactory = new ServiceStackHttpHandlerFactory();

		public IHttpHandler GetHandler(HttpContext context, string requestType, string url, string pathTranslated)
		{
			var ssHandler = ssFactory.GetHandler(context, requestType, url, pathTranslated);
			if (ssHandler == null)
				return null;

			return new SessionStateHandlerWrapper(ssHandler);
		}

		public void ReleaseHandler(IHttpHandler handler)
		{
			ssFactory.ReleaseHandler(handler);
		}
	}
}